/**********************************************************************
 * Copyright (C) 20014-2015 by Vidisolve (Pty) Ltd.                   *
 * All Rights Reserved.                                               *
 *                                                                    *
 *  Software is distributed on an "AS IS", WITHOUT WARRANTY OF ANY    *
 *   KIND, either express or implied.                                 *
 *                                                                    *
 *  Contributors:                                                     *
 *                                                                    *
 **********************************************************************/
/*------------------------------------------------------------------------
    File        : Analyse.p
    Purpose     :

    Syntax      :

    Description :

    Author(s)   :
    Created     : Sun May 31 12:55:18 CAT 2015
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
DEFINE TEMP-TABLE tt
    FIELD ln AS INTEGER
    FIELD tp AS CHARACTER
    FIELD data AS CHARACTER EXTENT 2 FORMAT "x(20)"
    .

CURRENT-WINDOW:WIDTH = 100.
CURRENT-WINDOW:HEIGHT = 40.
COMPILE Examples/Examples.p XREF Examples/Examples.txt SAVE .

RUN listSearch ("Examples/Examples.txt").

PROCEDURE listSearch:
    DEFINE INPUT  PARAMETER pFile AS CHARACTER NO-UNDO.
    INPUT FROM VALUE (pFile).

    REPEAT TRANSACTION WITH WIDTH 90:
        CREATE tt.
        IMPORT ^ ^ ln tp ^ data.
        IF tp <> "SEARCH"
        THEN UNDO, NEXT.
        DISPLAY tt.
    END.
END.